<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xmleye="http://www.uca.es/xmleye">

<!-- The new tree has the same nodes and in the same order as the original one,
     plus a unique identifier. This stylesheet installs some extra hooks to customize
     children order and possibly add new elements and attributes.  -->

<xsl:template match="/">
  <xsl:apply-templates select="." mode="process-node"/>
</xsl:template>

<!-- We don't want the XSLT default rules -->
<xsl:template match="*" />

<xsl:template match="*" mode="process-node">
  <xsl:copy>
    <xsl:copy-of select="@*"/>
    <xsl:attribute name="UID"><xsl:value-of select="generate-id()"/></xsl:attribute>
    <xsl:apply-templates select="."/>
    <xsl:copy-of select="text()"/>
    <xsl:apply-templates select="." mode="process-children"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="*" mode="process-children">
  <xsl:apply-templates select="*" mode="process-node"/>
</xsl:template>

</xsl:stylesheet>