<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:util="http://www.uca.es/util">

<!-- Hoja con plantillas de utilidad -->

<!-- Versión de substring-after que toma la última aparición -->

<xsl:template name="util:substring-after-last">
  <xsl:param name="string"/>
  <xsl:param name="key"/>

  <xsl:choose>
    <xsl:when test="contains($string, $key)">
      <xsl:call-template name="util:substring-after-last">
	<xsl:with-param name="string" select="substring-after($string,$key)"/>
	<xsl:with-param name="key" select="$key"/>
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="$string"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<!-- Cambio entre mayúsculas y minúsculas -->
<xsl:variable name="util:lcletters">abcdefghijklmnopqrstuvwxyzáéíóúñç</xsl:variable>
<xsl:variable name="util:ucletters">ABCDEFGHIJKLMNOPQRSTUVWXYZÁÉÍÓÚÑÇ</xsl:variable>

<xsl:template name="util:to-upper">
  <xsl:param name="string"/>
  <xsl:value-of select="translate($string, $util:lcletters, $util:ucletters)"/>
</xsl:template>

<xsl:template name="util:to-lower">
  <xsl:param name="string"/>
  <xsl:value-of select="translate($string, $util:ucletters, $util:lcletters)"/>
</xsl:template>

</xsl:stylesheet>
