<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
		xmlns:xmls="http://www.uca.es/xmleye/xml-stylesheet"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ext="xalan://es.uca.xmleye.xpath.XPathPathManager">

<xsl:template match="*">

  <xsl:call-template name="skeleton">
    <xsl:with-param name="rtf">

	<xsl:if test="@*">
          <h2><xsl:copy-of select="$xmls:attributes"/></h2>
	  <table border="1" padding="1" width="60%" align="center">
  	    <tr>
              <th width="30%" class="tablekey"><xsl:copy-of select="$xmls:name"/></th>
              <th width="70%" class="tablevalue"><xsl:copy-of select="$xmls:value"/></th>
            </tr>

	    <xsl:for-each select="@*">
	    <tr>
	      <td><xsl:value-of select="name(.)"/></td>
	      <td><xsl:value-of select="."/></td>
	    </tr>
	    </xsl:for-each>
	  </table>
	</xsl:if>

    </xsl:with-param>
  </xsl:call-template>

</xsl:template>

<!-- Print a basic node skeleton which can be reused by specializations of this stylesheet -->

<xsl:template name="skeleton">
  <xsl:param name="rtf"/>

   <html>
     <body>

        <xsl:if test="ancestor::*">
        <h2><xsl:copy-of select="$xmls:ancestors"/></h2>
        <ol>
	  <xsl:for-each select="ancestor::*">
	  <li>
 	    <a href="#xpointer({ext:getPath(.,/)})">
              <xsl:choose>
		<xsl:when test="@nodelabel">
		  <xsl:value-of select="@nodelabel"/>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:value-of select="name(.)"/>
		</xsl:otherwise>
	      </xsl:choose>
            </a>
	  </li> 
	  </xsl:for-each>
	</ol>
	<hr/>
	</xsl:if>
  
       <xsl:copy-of select="$rtf"/>

       <hr/>

	<xsl:if test="not(@leaf = '1') and (child::*[not(@hidden = '1')] or text())">
	<h2><xsl:copy-of select="$xmls:children"/></h2>

	<ol>
	   <xsl:for-each select="child::*[not(@hidden = '1')] | child::text()">

	   <xsl:choose>

	     <xsl:when test="self::text() and string-length(normalize-space(.))>0">
	       <li>
	         <i><xsl:copy-of select="concat($xmls:text, ':')"/></i>
	         <blockquote><xsl:value-of select="."/></blockquote>
	       </li>
             </xsl:when>

	     <xsl:when test="not(self::text())">
	       <li><a href="#xpointer({ext:getPath(.,/)})">
		 <xsl:choose>
		   <xsl:when test="@nodelabel">
		     <xsl:value-of select="@nodelabel"/>
		   </xsl:when>
		   <xsl:otherwise>
		     <xsl:value-of select="name(.)"/>
		   </xsl:otherwise>
		 </xsl:choose>
	       </a></li>
	     </xsl:when>

	   </xsl:choose>
	 </xsl:for-each>
	</ol>
	</xsl:if>

     </body>
   </html>

</xsl:template>

</xsl:stylesheet>
